/*!
 * Author: linhlvtn code design
 * Email: linhlvtn@gmail.com
 */

@import "typography";
@import "layouts";
@import "global";

:root {
    --color-primary: #000;
    --color-secondary: #282828;
    --color-gray-5: #f4f4f4;
    --color-gray-6: #E5E5E5;
    --color-info: #0371D7;
    --color-success: #009220;
    --color-warning: #D89D08;
    --color-danger: #EA132C;
}

.color-warning {
    color: var(--color-warning) !important;
}

.color-success {
    color: var(--color-success) !important;
}

.color-info {
    color: var(--color-info) !important;
}

.color-danger {
    color: var(--color-danger) !important;
}

.color-gray {
    color: gray !important;
}

nav:not(.mm-menu) {
	display: none;
}

#headerMain{
    background: #fff;

    &.sticky {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        width: 100%;
        z-index: 10;
        box-shadow: 0px 5px 15px -5px #ddd;
        max-width: 375px;
        margin: auto;
    }
}

.header_main{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 0;

    .col{
        flex: 1 1;
    }

    .nav_menu{
        svg{
            width: 30px;
            color: #000;
        }
    }

    &__myCart {
        display: flex;
        align-items: center;
        justify-content: flex-end;

        ul {
            display: flex;
            align-items: center;

            li {
                padding: 0 5px;

                img {
                    width: 22px;
                }

                &:last-child{
                    a{
                        margin-right: 10px;
                    }
                }
            }
        }

        .myCart {
            position: relative;

            .numberCart {
                position: absolute;
                width: 20px;
                height: 20px;
                border-radius: 100%;
                color: #fff;
                background: var(--color-danger);
                font-size: 11px;
                text-align: center;
                line-height: 20px;
                top: -10px;
                left: 15px;
            }
        }

        .myFavorite {
            position: relative;

            .numberFavorite {
                position: absolute;
                left: 0;
                right: 0;
                text-align: center;
                font-size: 11px;
                color: #000;
                top: 3px;
                bottom: 0;
            }
        }

        .searchTop {
            position: relative;

            input.form-control {
                border-radius: 40px;
                font-size: 13px;
            }

            button {
                position: absolute;
                width: 18px;
                right: 15px;
                top: 8px;
            }
        }
    }
}

nav#menu{
    ul>li>a{
        text-transform: uppercase;
        font-weight: 600;
        font-size: 13px;
    }
}


.productHot {
    padding: 2rem 0;

    &_list {
        .item {
            min-height: 250px;

            .name_product {
                font-size: 14px;
                margin: 20px 0;
                color: #000;
                font-weight: 600;
                text-transform: uppercase;
            }
        }
    }
}

.headingSection {
    font-size: 18px;
    font-weight: bold;
    margin: 0 0 25px;
    text-transform: uppercase;
    position: relative;
}

.bannerWeb{
    img{
        width: 100%;
    }
}

.productMain {
    padding: 2rem 0;

    &_list {
        &__item {
            margin-bottom: 15px;
            border-bottom: 2px solid transparent;
            transition: all .5s;
            padding-bottom: 20px;

            &___thumbnail {
                width: 100%;
                height: 300px;
                position: relative;
                overflow: hidden;

                a {
                    display: block;
                    width: 100%;
                    height: 100%;
                }

                img {
                    display: block;
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                }

                .ribbon {
                    position: absolute;

                    &-new {
                        top: 10px;
                        left: 10px;
                    }

                    &-best {
                        top: 10px;
                        left: 10px;
                        background: #000;
                        color: #fff;
                        padding: 5px 10px;
                    }

                    &-sale {
                        color: #EA132C;
                        bottom: 10px;
                        right: 10px;
                        font-weight: 700;
                        background: #fff;
                        padding: 2px 8px;
                    }

                    &-close {
                        right: 10px;
                        top: 10px;
                    }
                }

            }

            .btn-viewnow {
                position: absolute;
                left: 15px;
                bottom: 15px;
                margin: auto;
                width: 40px;
                height: 40px;
                font-size: 14px;
                border: 1px solid #ebebeb;
                border-radius: 100%;
                padding: 5px;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                
                img {
                    width: 18px;
                    height: auto;
                    margin: 0;
                }

                &:hover {
                    background: #000;
                    color: #fff;
                }
            }

            &___name {
                font-size: 14px;
                font-weight: 500;
                margin: 20px 0 5px;

                a {
                    color: #000;
                }
            }

            &___price {
                font-weight: 600;
                font-size: 15px;
                margin-bottom: 5px;

                &.has_light{
                    display: flex;
                    align-items: center;
                    justify-content: space-between;

                    .price_light{
                        font-weight: 400;
                        text-decoration: line-through;
                        color: #bdbdbd;
                    }
                }
            }

            &:hover {
                border-bottom: 2px solid var(--color-primary);
                transition: all .5s;
            }
        }

        &.productHotSwiper{
            .productMain_list__item{
                margin-bottom: 0;
                padding-bottom: 0;
            }
        }

        &__mobile{
            .productMain_list__item___thumbnail{
                height: 200px;

                .ribbon-best{
                    font-size: 11px;
                }
            }

            .productMain_list__item{
                margin-bottom: 0;
            }

            .custom_display_mobile{
                li:nth-child(5n){
                    width: 100% !important;

                    .productMain_list__item___thumbnail{
                        height: 300px;
                    }
                }

                .delete{
                    color: gray;
                }
            }
        }
    }
}

.collection {
    padding: 2rem 0;

    &_list {
        &__item {
            &___thumbnail {
                a {
                    display: block;
                    width: 100%;
                    height: 100%;
                }

                img {
                    display: block;
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                }
            }

            &___bottom {
                text-align: center;

                .name_collection {
                    font-size: 16px;
                    font-weight: 600;
                    margin: 20px 0;

                    a{
                        color: #000;
                    }
                }

                .buttonViewNow {
                    color: #000;
                    border-bottom: 2px solid #000;
                    font-size: 15px;
                    padding-bottom: 5px;
                    transition: all .3s;

                    &:hover {
                        background: #000;
                        color: #fff;
                        padding: 5px 10px;
                        transition: all .3s;
                    }
                }
            }
        }
    }
}

.footer {
    border-top: 3px solid #F3F3F3;

    &_main {
        padding: 2rem 0;

        .headingFooter {
            font-size: 15px;
            font-weight: 700;
            margin: 0 0 20px;
        }

        .nav_footer {
            p {
                margin: 0 0 10px;
                font-size: 14px;

                a {
                    color: #000;
                }
            }
        }

        .col-footer {
            margin-bottom: 20px;
        }

        .col-info-right {
            h4 {
                font-size: 15px;
                font-weight: 700;
                margin: 0 0 20px;
            }

            .form-control {
                border-color: #000;
            }

            input+button {
                background: #000;
                color: #fff;
            }
        }

        .accordion_footer{
            // margin-bottom: 30px;

            .accordion-button{
                padding: 10px 0;
                font-weight: 600;
                font-size: 14px;

                &:focus{
                    box-shadow: unset;
                    border-color: none;
                }

                &:not(.collapsed){
                    background-color: transparent;
                }
            }

            .accordion-body{
                padding: 1rem 0;
            }
        }
    }

    &_bottom {

        border-top: 2px solid #F3F3F3;

        &__content {
            text-align: center;
            padding: 8px 0;
        }
    }
}

.isocial-group {
    display: flex;
    align-items: center;

    li {
        margin-right: 20px;

        a {
            display: inline-block;
            color: #000;

            svg {
                width: 25px;
            }
        }
    }
}

.nav_mobile_bottom{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
    padding: 10px 0;
    width: 100%;
    position: fixed;
    bottom: 0;
    z-index: 999;
    background: #fff;
    box-shadow: 0px -3px 10px rgba(0, 0, 0, 0.05);
    height: 64px;
    max-width: 375px;

    li{
        flex: 1 1;

        a{
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            text-align: center;

            img{
                height: 20px;
                margin-bottom: 5px;
            }

            span{
                color: #000;
                font-size: 13px;
            }
        }
    }
}

.nav_user_login{
    flex-direction: column;
    padding: 0 20px !important;
    margin-top: 50px !important;

    p{
        a{
            font-weight: 600;
            display: flex;
            align-items: center;
        }
    }

    img{
        width: 15px;
        margin-right: 10px;
    }
}

.breadcrumb_block {
    border-top: 1px solid #bdbdbd;
    padding-top: 10px;

    .breadcrumb-item.active {
        color: #000000;
        font-weight: 600;
    }

    .breadcrumb-item {
        a {
            color: gray;
        }
    }

    .breadcrumb{
        margin-bottom: 10px;
    }
}

.heading-group {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2rem;

    button {
        margin-left: 10px;
    }

    .headingSection {
        margin-bottom: 0;
    }
}

.content_product {
    margin: 4rem 0 0;

    .heading-title {
        font-size: 20px;
        font-weight: bold;
        text-align: center;
        margin: 2rem 0 1rem;
    }

    p {
        width: 100%;
        margin: auto;
    }
}


.SibarNavBar {
    width: 100%;
    position: fixed;
    top: 0;
    background: #fff;
    height: 100vh;
    z-index: 10000;
    opacity: 0;
    visibility: hidden;
    transform: translateX(-100%);
    transition: all .5s;

    

    &.open {
        opacity: 1;
        visibility: visible;
        transform: translateX(0);
        transition: all .5s;
    }

    &_filter {
        position: relative;
        height: 100%;

        .btn-close{
            position: absolute;
            right: 20px;
            top: 20px;
        }

        .btn-close-no-head{
            position: absolute;
            right: 20px;
            top: 20px;
        }

        &__header {
            padding: 20px;
            position: relative;
            padding-right: 40px;
            font-weight: 600;
            border-bottom: 1px solid rgba(0, 0, 0, 0.2);

            .btn-close {
                position: absolute;
                right: 20px;
            }
        }

        &__body {
            padding: 20px;
            padding: 20px;
            max-height: calc(100% - 145px);
            overflow-y: auto;
            

            &.body-sibar-cart {
                max-height: calc(100% - 300px);
            }

            .filter_box {
                margin-bottom: 40px;

                .accordion-button {
                    border: none;
                    background: transparent;
                    color: #000;
                    box-shadow: unset;
                    padding: 0;
                    margin-bottom: 20px;
                    font-size: 14px;
                    text-transform: uppercase;
                    font-weight: 600;

                    &::after {
                        color: #000;

                    }
                }

                .accordion-item {
                    border: none;
                    padding: 0;
                }

                .accordion-body {
                    padding: 0;
                }

                .form-check {
                    margin-bottom: 5px;
                }

                .list-chosee {
                    padding: 0;
                    margin: 0;
                    display: flex;
                    align-items: center;
                    flex-wrap: wrap;
                    gap: 10px;

                    li {
                        display: inline-flex;
                        align-items: center;
                        justify-content: center;
                        width: 35px;
                        height: 35px;
                        background: #F4F4F4;

                        &.active {
                            background: #000;
                            color: #fff;
                        }
                    }

                    &.chosee-color {
                        li {
                            width: 30px;
                            height: 30px;
                            border-radius: 100%;
                            border: 1px solid #e9e9e9;

                            &.active {
                                border-color: #000;
                            }
                        }
                    }
                }

                .range-slide {
                    position: relative;
                    margin: 40px 0 20px;
                    height: 4px;
                    // width: 240px;

                    .slide {
                        position: absolute;
                        top: 0;
                        height: 4px;
                        background: #ccc;
                        left: 9px;
                        right: 9px;
                    }

                    .line {
                        position: absolute;
                        left: 0;
                        right: 0;
                        top: 0;
                        height: 4px;
                        background-color: black;
                    }

                    .thumb {
                        position: absolute;
                        z-index: 2;
                        text-align: left;
                        border: 1px solid #000;
                        background-color: #fff;
                        border-radius: 50%;
                        outline: none;
                        top: -7px;
                        height: 18px;
                        width: 18px;
                        margin-left: -9px;
                    }

                    input {
                        -webkit-appearance: none;
                        appearance: none;
                        position: absolute;
                        pointer-events: none;
                        z-index: 3;
                        height: 3px;
                        top: 0;
                        width: 100%;
                        opacity: 0;
                        margin: 0;
                    }

                    input::-webkit-slider-thumb {
                        -webkit-appearance: none;
                        appearance: none;
                        pointer-events: all;
                        border-radius: 50%;
                        cursor: pointer;
                        width: 18px;
                        height: 18px;
                    }
                }

                .display-number {
                    margin: 0;
                    width: 100%;
                    display: flex;
                    justify-content: space-between;
                    gap: 5px;

                    span {
                        display: inline-flex;
                        align-items: center;
                        justify-content: center;
                        text-align: center;
                        border: 1px solid #000;
                        padding: 3px 10px;
                        flex: 1 1;
                        border-radius: 3px;
                    }

                    .btn-submit {
                        background: #000;
                        color: #fff;
                        border-radius: 3px;

                        &:hover {
                            background: var(--color-secondary);
                        }
                    }

                }
            }

            .list_product_cart {
                li {
                    display: flex;
                    align-items: center;
                    margin-bottom: 15px;
                    border-bottom: 1px solid #ddd;
                    padding-bottom: 15px;

                    img {
                        width: 40%;
                    }

                    .price_production{
                        span{
                            font-size: 14px;
                        }
                    }

                    .option_production{
                        margin: 0;

                        .input-group{
                            margin-left: 0;
                        }
                    }
                }

                &__info {
                    width: 60%;
                    padding-left: 15px;

                    h3 {
                        font-weight: 500;
                        font-size: 15px;
                        line-height: 20px;
                    }

                    select {
                        color: gray;
                        font-size: 15px;
                        border: none;
                        padding: 0;
                        margin-bottom: 15px;
                    }

                    input {
                        border-color: #000;
                        text-align: center;
                    }

                    .option_production-number {
                        width: 70%;
                    }

                    .option_production {
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                    }
                }
            }

            &.body-sibar-login{
                padding-top: 60px;
                width: 100%;
                height: calc(100vh);
                max-height: unset;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;
                padding: 40px;

                .heading{
                    font-weight: bold;
                    font-size: 20px;
                    margin: 0 0 30px;
                    text-align: center;
                }

                .form-group, form{
                    width: 100%;
                }

                button, .form-control{
                    border-radius: 3px;
                    width: 100%;
                    height: 40px;
                }

                .btn_group_login{
                    display: flex;
                    align-items: center;
                    width: 100%;
                    gap: 10px;
                    margin-bottom: 20px;

                    .btn{
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        text-align: center;
                        background: #fff;
                        border: 1px solid #ddd;
                        flex: 1 1;
                        border-radius: 3px;

                        img{
                            margin-right: 10px;
                        }
                    }
                }
            }
        }

        &__footer {
            border-top: 1px solid #ddd;
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            min-height: 80px;
            padding: 20px;
            display: flex;
            align-items: center;
            justify-content: space-between;
            flex-wrap: nowrap;
            gap: 10px;
            background: #fff;

            .note_footer {
                color: #6a6a6a;
                margin-bottom: 5px;
            }

            .price_cart {
                display: flex;
                justify-content: space-between;
                align-items: center;
                width: 100%;
                font-weight: 600;
                font-size: 15px;
            }

            hr {
                margin: 0.3rem 0;
            }

            &.flex-colum {
                flex-direction: column;
                align-items: flex-start;

                .btn {
                    width: 100%;
                    height: 42px;
                    padding: 10px;
                }
            }

            .btn {
                flex: 1 1;
                border: 1px solid #000;
                color: #000;
                font-weight: 600;

                img {
                    margin-right: 5px;
                }

                &:hover {
                    background-color: #000;
                    color: #fff;

                    img {
                        filter: brightness(0) invert(1);
                    }
                }

                &.apply {
                    background: #000;
                    color: #fff;

                    &:hover {
                        background: var(--color-secondary);
                    }
                }
            }
        }
    }

    &.right {
        left: unset;
        right: 0;
        transform: translateX(1000%);

        &.open {
            opacity: 1;
            visibility: visible;
            transform: translateX(0);
            transition: all .5s;
        }
    }

    &.left{
        left: 0;
        right: unset;
        transform: translateX(-1000%);

        &.open {
            opacity: 1;
            visibility: visible;
            transform: translateX(0);
            transition: all .5s;
        }
    }
}


.info-production {
    .name_production {
        font-size: 17px;
        font-weight: 500;
        margin-bottom: 10px;
        line-height: 1.3;
        padding-right: 40px;
    }

    .btn-favorite {
        position: absolute;
        right: 15px;
        top: 15px;
        color: #d5d5d5;
        z-index: 10;

        &.active {
            color: #000;
        }

        svg {
            width: 20px;
        }
    }

    .price_production {
        display: flex;
        align-items: center;

        span {
            font-size: 15px;
            margin-right: 20px;
        }

        &-main {
            font-weight: 600;
        }

        &-light {
            color: #888888;
            text-decoration: line-through;
        }
    }

    .flash_production{
        color: #6D6E6E;
    }

    .option_production {
        margin-top: 30px;

        p {
            a {
                color: #9f9f9f;
                font-size: 14px;

                &:hover {
                    color: #000;
                }
            }
        }

        &-style,
        &-size {
            ul {
                display: flex;
                align-items: center;
                flex-wrap: wrap;
                gap: 8px;

                li {
                    text-align: center;
                    width: 50px;
                    border-bottom: 2px solid transparent;
                    cursor: pointer;

                    img {
                        object-fit: cover;
                        width: 100%;
                        height: 100%;
                    }

                    &:hover {
                        border-color: #c3c3c3;
                    }

                    &.active {
                        border-bottom: 2px solid #000;
                    }
                }
            }
        }

        &-size {
            ul {
                li {
                    padding-bottom: 5px;
                }
            }
        }

        &-number {
            display: flex;
            align-items: center;

            .input-group {
                max-width: 150px;
                margin-left: 15px;
            }

            input {
                border-color: #6c757d;
                text-align: center;
            }

            button {
                color: #000;

                &:hover {
                    background: #000;
                    color: #fff;
                }
            }
        }
    }

    .button_controler {
        margin: 30px 0;

        .btn {
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 18px;
            height: 53px;
            width: 100%;
            transition: all .5s;

            img {
                margin-right: 5px;
            }

            &+.btn {
                margin-top: 15px;
            }
        }

        .btn-addCart {
            border: 1px solid #000;

            &:hover {
                background: #000;
                color: #fff;
                transition: all .5s;

                img {
                    filter: brightness(0) invert(1);
                }
            }
        }

        .btn-buyNow {
            background: #000;
            color: #fff;

            &:hover {
                background: var(--color-secondary);
            }
        }
    }

    .images_group {

        .SwiperImgProduct,
        .SwiperImgProduct_detail {
            margin-top: 10px;


            .swiper-slide {
                width: 25%;
                height: 100%;
                border: 1px solid transparent;
            }

            .swiper-slide-thumb-active {
                border: 1px solid #000;
            }

            .swiper-slide img {
                display: block;
                width: 100%;
                height: 100%;
                object-fit: cover;
            }

            .swiper-slide {
                background-size: cover;
                background-position: center;
            }

            .mySwiper2 {
                height: 80%;
                width: 100%;
            }

            .mySwiper {
                height: 20%;
                box-sizing: border-box;
                padding: 10px 0;
            }

            //   .swiper-wrapper{
            //     transform: unset !important;
            //     flex-wrap: wrap;
            //   }
        }
    }

    .preview-shop {
        a {
            color: #000;
            text-decoration: underline;
        }
    }

    .process_product {
        #accordionProcessProduct {
            .accordion-item {
                border-top: none;
                border-left: none;
                border-top: none;
                border-right: none;
                padding: 0;

                &:focus-within {
                    border: none
                }
            }

            .accordion-button:not(.collapsed) {
                color: #000;
                background-color: #fff;
                box-shadow: unset;
            }

            .accordion-button {
                padding: 10px 0;
                font-size: 14px;
                display: flex;
                align-items: center;

                img {
                    width: 24px;
                    margin-right: 10px;
                }
            }
        }
    }
}

.modal-customer {
    .btn-close {
        position: absolute;
        right: 0px;
        top: 0px;
        background: #000;
        opacity: 1;
        color: #fff;
        border-radius: 3px;
        width: 20px;
        height: 20px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        z-index: 2;

        svg {
            color: #fff;
        }
    }

    .modal-footer {
        justify-content: center;

        a {
            color: #000;
        }
    }
}

.infomation_group {
    margin: 2rem 0 0;

    &__box {
        &___item {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            background: #F4F4F4;
            padding: 40px 15px 40px 20px;
            min-height: 220px;
            margin-bottom: 20px;

            img {
                height: 50px;
            }

            h4 {
                font-size: 16px;
                font-weight: 600;
                margin: 15px 0 5px;
            }

            span {
                color: #898989;
            }
        }
    }
}

.btn-view-production {
    color: #000;
    border-bottom: 2px solid #000;
    font-size: 15px;
    padding-bottom: 5px;
    transition: all 0.3s;
}

.tabs-prodution {
    .nav-tabs .nav-link {
        border: none;
    }

    margin-bottom: 20px;

    .nav-tabs .nav-link:focus,
    .nav-tabs .nav-link:focus-visible,
    .nav-tabs .nav-link:focus-within,
    .nav-tabs .nav-link:hover {
        border-color: transparent;
    }

    .nav-tabs .nav-item.show .nav-link,
    .nav-tabs .nav-link.active {
        border: none;
        border-bottom: 2px solid #000;
    }

    .nav-link {
        color: #000;
        font-size: 16px;
        border-color: transparent;
    }

    .tabs_list_product{
        display: flex;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        -webkit-overflow-scrolling: touch;
        scroll-padding: 1rem;
        padding: 10px;
        margin: 0 auto 0;
        flex-wrap: nowrap;

        .nav-link{
            flex: 0 0 100px;
            height: auto;
            scroll-snap-stop: always;
            scroll-snap-align: start;
        }
    }
}


.flash_production {
    display: flex;
    align-items: center;
    margin-top: 10px;

    .flash-clock {
        margin-left: 15px;
        color: var(--color-secondary);

        span {
            width: 28px;
            height: 28px;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            color: #fff;
            background: var(--color-primary);
        }
    }
}



.production_detail {
    &__infoTop {
        align-items: center;

        .swiper-button-prev,
        .swiper-rtl .swiper-button-next {
            color: #000;
        }

        .swiper-button-next,
        .swiper-rtl .swiper-button-prev {
            color: #000;
        }

        .images_group {
            margin-bottom: 20px;
        }
    }

    &__infoBody {
        margin: 2rem 0;

        .box_infomation_product {
            margin-bottom: 30px;
        }

        .tab_product_detail_other {
            .nav-link {
                border: none;
                color: #000 !important;
                padding: 0;
                font-weight: 600;
                font-size: 16px;
                padding: 8px 0;
                margin-right: 15px;

                &.active {
                    border-bottom: 2px solid #000;
                }
            }
        }

        .tab-content {
            padding-top: 2rem;
        }
    }
}



.heading_detail {
    font-weight: 600;
    font-size: 16px;
}


.box-list-adrress {
    max-height: 300px;
    overflow: hidden;
    overflow-y: scroll;

    ul {
        li {
            margin-bottom: 15px;
        }
    }

    .title-name {
        font-weight: bold;
        font-size: 15px;
    }

    p {
        font-size: 14px;
        margin-bottom: 3px;

        a {
            color: #0371D7 !important;
        }
    }
}

.list-chosee {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;

    li {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        width: 35px;
        height: 35px;
        background: #F4F4F4;

        &.active {
            background: #000;
            color: #fff;
        }
    }

    &.chosee-color {
        li {
            width: 30px;
            height: 30px;
            border-radius: 100%;
            border: 1px solid #e9e9e9;

            &.active {
                border-color: #000;
            }
        }
    }

    &.option-size {
        padding: 0;
        margin: 0;
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        gap: 10px;

        li {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            width: 35px;
            height: 35px;
            background: #F4F4F4;
            cursor: pointer;

            &:hover {
                background: gray;
                color: #fff;
            }

            &.active {
                background: #000;
                color: #fff;
            }
        }
    }
}


#showAddCart.fixed{
    width: 100%;
    position: fixed;
    bottom: 0;
    margin-bottom: 64px;
    z-index: 5;
    left: 0;
    background: #000;
    color: #fff;

    img{
        filter: brightness(0) invert(1);
    }
}

.heading_layout_other {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;

    h2 {
        font-weight: bold;
        font-size: 18px;
        margin: 0;
    }

    span {
        font-size: 14px;
        text-decoration: underline;
    }
}

.btn_login_and_register {
    font-weight: 600;
    color: #000;

    &:hover {
        color: var(--color-info);
    }

    &-register {
        color: #DC3545;
    }
}

.box_order_cart {

    &__promotion {
        .accordion-item {
            border: none;
        }

        .accordion-button {
            background: transparent;
            font-weight: bold;
            color: #000;
            padding-top: 10px;
            padding-left: 0;
            padding-right: 0;
            box-shadow: inset 0 -1px 0 rgb(0 0 0 / 13%) !important;
        }

        .accordion-body {
            padding-right: 0;
            padding-left: 0;
        }

        .input-group {
            .form-control {
                border-color: #000;
                border-radius: 0;
            }

            .btn {
                background: #000;
                color: #fff;
                border-radius: 0;
            }
        }
    }

    &__price {
        margin-top: 20px;
        margin-bottom: 20px;

        ul {
            li {
                display: flex;
                justify-content: space-between;
                align-items: center;
                padding: 5px 0;
                border-bottom: 1px solid #ddd;
                margin-bottom: 5px;

                .tille {
                    font-weight: 600;
                }

                .price {
                    color: #6D6E6E;

                    &.black {
                        color: #000;
                    }

                    &.red {
                        color: var(--color-danger);
                        font-weight: 600;
                    }
                }
            }
        }
    }

    .note_footer {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 20px;

        p {
            margin: 0;
            color: #6a6a6a;
        }

        .info {
            font-size: 15px;
            color: var(--color-info);
            cursor: pointer;
        }
    }

    .btn_buy_now {
        margin: 20px 0;
        display: block;
        width: 100%;
        padding: 10px;
        font-size: 16px;
    }

    p {
        margin-bottom: 5px;
    }
}

.control_fixed_button{
    position: fixed;
    width: 100%;
    background: #FFFFFF;
    box-shadow: 0px -1px 1px rgba(0, 0, 0, 0.15);
    bottom: 0;
    left: 0;
    margin-bottom: 64px;
    padding: 5px 15px;
    z-index: 10;
    display: none;

    button{
        width: 100%;
        padding: 10px;
    }
}


.page_mycart {
    margin-top: 4rem;

    table {
        width: 100%;
        margin-bottom: 20px;

        tr {
            border-bottom: 1px solid #ddd;
        }

        td {
            padding: 15px 0;
            vertical-align: top;
        }

        .img_prd_cart {
            max-width: 80px;
        }

        .input-group {
            margin-left: 0 !important;
            max-width: 130px !important;

            input.form-control, button{
                height: 32px;
                min-height: unset;
                line-height: 10px;
            }
        }

        .option_production-number {
            margin-bottom: 10px;
        }

        .name_production {
            font-size: 0.9em;
            padding-right: 0;
            margin-bottom: 5px;

            a {
                color: #000;
            }
        }

        .option_production {
            margin-top: 10px;
        }

        .btn-favorite {
            color: #ddd;

            svg {
                width: 20px;
            }

            &:hover,
            &.active {
                color: #000;
            }
        }
    }



    &__noCart {
        text-align: center;
        margin-top: 3rem;

        .nav_category {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            margin: auto;
            border-top: 1px solid #ddd;
            margin-top: 20px;
            padding-top: 20px;
            padding-left: 30px;
            padding-right: 30px;

            li {
                a {
                    padding: 8px 10px;
                    color: #000;
                    text-decoration: underline;
                    text-transform: uppercase;

                    &:hover {
                        color: #aaa;
                    }
                }
            }
        }
    }
}

.price-light{
    text-decoration: line-through;
    color: gray;
}

.chooseSize-group {
    position: relative;

    .btn-chooseSize {
        display: inline-flex;
        align-items: center;
        cursor: pointer;

        svg {
            width: 10px;
            margin-left: 10px;
        }
    }

    .chooseSize-drop {
        width: 300px;
        min-height: 200px;
        background: #fff;
        position: absolute;
        top: 30px;
        left: -100px;
        z-index: 5;
        box-shadow: 0px 0px 10px -5px #818181;
        // border-radius: 8px;
        border: 1px solid #eee;
        padding: 20px;
        display: none;

        .bottom-button {
            display: flex;
            justify-content: flex-end;
            align-items: center;
            margin-top: 30px;

            .btn {
                min-width: auto;

                &+.btn {
                    margin-left: 10px;
                }
            }
        }
    }
}

.list_infamation_cart {
    .heading {
        font-size: 15px;
        font-weight: bold;
        margin-bottom: 15px;
    }

    .table {
        border: 1px solid #ddd;
    }
}


.page_checkout {
    margin-top: 3rem;
    margin-bottom: 3rem;

    .content_cart {
        p {
            margin: 0;
            margin-bottom: 5px;
        }

        .text_status_order {
            font-weight: bold;
            font-size: 24px;
            margin-bottom: 30px;
        }
    }

    &__form {
        .box_member_sale {
            border: 1px solid #ddd;
            padding: 15px;
            margin-bottom: 20px;

            p {
                margin-bottom: 5px;
            }
        }
    }

    &_col_codeOder {
        // border: 1px solid #ddd;
        // padding: 15px;

        .my_order_code {
            font-weight: bold;
            font-size: 15px;
            margin-bottom: 10px;
        }

        .box_login_order {
            padding: 10px;
            background: #F4F4F4;
            font-size: 13px;
            margin-bottom: 20px;

            .btn_login {
                font-size: 13px;
                margin-right: 10px;
            }
        }

        ul {
            li {
                padding-bottom: 15px;
                margin-bottom: 15px;
                border-bottom: 1px solid #ddd;

                .title_codeOder {
                    font-weight: bold;
                    font-size: 14px;
                    color: #000;
                    margin: 0 0 10px;
                    text-transform: uppercase;
                }

                p {
                    margin-bottom: 2px;
                    color: #3D4352;
                    font-size: 14px;
                }
            }
        }
    }

    &_col_infomation_content {
        
    }
}

.list-group-payment {
    margin-bottom: 20px;

    .list-group-item {
        padding: 10px 15px;
        display: flex;
        align-items: center;
        justify-content: space-between;

        .ic {
            width: 20px;
            margin-right: 10px;
        }

        span {
            display: flex;
            align-items: center;
        }
    }
}

.heading_cart {
    font-weight: bold;
    color: #000;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 0;
    padding-right: 0;
    font-size: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 2px solid #000;
    margin-bottom: 10px;

    .btn_edit_cart {
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        padding: 5px 8px;
        font-size: 13px;
        font-weight: 400;
        background: #F4F4F4;
        border-radius: 3px;

        &:hover {
            background: #000;
            color: #fff;
        }
    }
}

.list_cart_temp1 {
    width: 100%;

    &-item {
        display: flex;
        padding: 15px 0;
        // margin-bottom: 15px;
        align-items: flex-start;
        position: relative;
        border-bottom: 1px solid #ddd;

        .thumbnail {
            max-width: 75px;
            margin-right: 15px;
        }

        .infoProduction {
            &_name {
                font-weight: 600;
                font-size: 14px;
                margin: 0;
                margin-bottom: 5px;
            }

            &_option {
                font-size: 13px;
                color: #7F828C;
            }

            &_price {
                position: absolute;
                bottom: 10px;
                right: 0;
                font-weight: 600;
                font-size: 14px;
            }
        }
    }
}

.bannerWeb-with-content{
    position: relative;
    min-height: 200px;
    height: auto !important;
    width: 100%; 
    padding-top: 50%; 
    overflow: hidden;

    img{
        -o-object-fit: cover; object-fit: cover; margin: auto; position: absolute; width: 100%; height: 100%; top: 0; left: 0;
    }

    &::after{
        content: "";
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        z-index: 1;
        background: #0000004d;
    }

    .content_images{
        display: flex;
        width: 100%;
        height: 100%;
        align-items: center;
        justify-content: center;
        position: absolute;
        flex-direction: column;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        z-index: 2;
        color: #fff;
        padding: 0 2rem;
        text-align: center;

        .heading{
            font-weight: bold;
            font-size: 1.2rem;
            margin-bottom: 8px;
        }
        p{
            margin-bottom: 8px;
        }
    }
}


.layout_dasboard{
    margin-bottom: 3rem;

    .nav_menu_dasboard{
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 30px;

        ul{
            align-items: center;
            justify-content: flex-start;
            display: flex;
            overflow-x: auto;
            scroll-snap-type: x mandatory;
            -webkit-overflow-scrolling: touch;
            scroll-padding: 1rem;
            padding: 0;
            margin: 0 auto 0;
            flex-wrap: nowrap;

            li{
                padding: 8px 10px;
                border-bottom: 2px solid transparent;
                text-align: center;
                flex: 0 0 auto;
                height: auto;
                scroll-snap-stop: always;
                scroll-snap-align: start;

                &.active{
                    border-bottom: 2px solid #000;
                }

                a{
                    color: #000;
                    font-weight: 600;

                    &:hover{
                        color: #F2BC1A;
                    }
                }
            }
        }
    }

    .dasboard_box{
        border: 1px solid rgba(0, 0, 0, 0.1);
        box-sizing: border-box;
        box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1);
        border-radius: 2px;
        margin: 0px 0px 30px;
        padding: 20px;

        .user_name{
            font-weight: bold;
            font-size: 16px;
            margin: 20px 0;
        }

        &__footer{
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        .my_coin{
            display: inline-flex;
            align-items: center;
            text-align: right;
        }

        // &__point{
        //     margin-top: 53px;
        //     padding-left: 15px;
        // }

        &__member{
            // padding-right: 40px;
            // border-right: 1px solid #ddd;
        }
    }

}


.ribon_my_user{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: #F2BC1A;
    padding: 8px 15px;
    border-radius: 3px;

    img{
        width: 20px;
        margin-right: 5px;
    }
}

.progress_poin{
    background: #f2bc1a;
    height: 8.5px;
    margin-bottom: 15px;

    .progress-bar{
        background-color: #000;
    }
}

.list_oder_prod{
    background: #f5f5f5;

    ul{
        list-style: none;
        margin: 0;
        padding: 0;
    }
}


#accordionOderList{
    .accordion-item{
        border: none;
        margin-bottom: 10px;
        background: #fff;
        padding: 10px 15px;
    }

    .accordion-button{
        padding: 10px 0;
        box-shadow: unset;
        padding-left: 25px;
        font-size: 14px;
    }
    .accordion-button:not(.collapsed){
        background: transparent;
    }
    .accordion-button::after{
        position: absolute;
        left: 0;
        width: 15px;
        height: 15px;
        background-size: contain;
    }
    .accordion-body{
        padding: 10px 0;
    }

    .head_name_code{
        display: flex;
        align-items: center;
        justify-content: space-between;
        color: #000;
        width: 100%;
    }

    hr{
        margin: 0 0 10px;
    }

    .production-info{
        padding: 0;
        border: none;

        .card-body{
            padding-right: 0;
            padding-top: 0;
            padding-bottom: 0;
        }

        .card-title{
            font-weight: 600;
            font-size: 14px;
        }

        .card-price{
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 10px;
        }
        .card-status{
            &.pending{
                color: #BD7509;
            }
        }
    }

    .list_cart_temp1{
        border: none;

        td{
            border-color: #dedede;
            padding: 5px;
        }
        &-item{
            padding: 5px 0;
        }
    }
    
}

.list_my_address {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;

    &__item {
        flex: 0 0 100%;
        border: 1px solid #ddd;
        min-height: 80px;
        display: flex;
        background: #FFFFFF;
        border: 1px solid rgba(0, 0, 0, 0.1);
        box-sizing: border-box;
        box-shadow: 0px 3px 20px rgba(0, 0, 0, 0.1);

        &-body {
            width: 100%;
            padding: 15px;

            .heading {
                display: flex;
                align-items: center;
                justify-content: space-between;
            }
        }
    }
}


.list_voucher {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;

    &__item {
        // width: 33.33%;
        flex: 0 0 100%;
        border: 1px solid #ddd;
        min-height: 80px;
        display: flex;

        &-body {
            width: 70%;
            padding: 15px;
            position: relative;

            h3 {
                font-weight: bold;
                font-size: 15px;
                margin-bottom: 8px;
            }

            p {
                margin-bottom: 0;
                font-size: 13px;
            }

            .text_check_code{
                font-size: 13px;
                color: gray;
                width: 100%;
                // display: flex;

                span{
                    width: 100%;
                    display: block;
                }
            }

            .btn_info_voucher {
                width: 15px;
                color: var(--color-info);
                cursor: pointer;
                position: absolute;
                right: 10px;
                top: 10px;
            }
        }

        &-temp {
            width: 30%;
            height: 100%;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            text-align: center;
            background: #f1f1f1;
            font-weight: bold;
            position: relative;

            &::after {
                position: absolute;
                content: "";
                left: -1px;
                top: 0;
                background-image: url(../icon/gift_voucher.png);
                width: 5px;
                height: 100%;
                background-size: cover;
            }

            &.new {
                background: #FFCB05;
            }

            &.freeship {
                background: #25c39e;
            }
        }
    }
}

.list_news_blog{
    margin: 3rem 0;

    .card_thumbnail{
        width: 100%;
        height: 250px;
        overflow: hidden;

        img{
            object-fit: cover;
        }
    }

    &__category{
        color: #BD7509;
        font-size: 15px;
        font-weight: bold;
        margin-bottom: 10px;
    }

    &__name{
        font-size: 16px;
        font-weight: 600;
        margin-bottom: 10px;

        a{
            color: #000;
        }
    }

    .card{
        border: none;
    }

    .card-text, .text-muted{
        color: #6D6E6E;
    }

    .card-body {
        background: #F4F4F4;
    }
}

.view-more {
    color: #000;
    text-decoration: underline;
}

.layout_post{
    padding-right: 0;

    &__thumbnail{
        margin-bottom: 20px;

        img{
            width: 100%;
        }
    }

    &__heading{
        .text-category{
            font-weight: bold;
            font-size: 15px;
            color: #BD7509;
            margin-bottom: 5px;
        }
        .text-name{
            font-weight: bold;
            font-size: 18px;
            line-height: 25px;
            letter-spacing: 0.02em;
            text-transform: uppercase;
            color: #3D4352;
            margin-bottom: 30px;
        }
    }
}

.page_search_resuilt{
    padding: 3rem 0;
}

.page_login{
    min-height: 100vh;
    background: #fff;
    max-height: unset;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: relative;

    .btn-close {
        position: absolute;
        right: 20px;
        top: 20px;
    }

    .block_Verify {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 50px;
      }
    .block_Verify input {
        font-size: 28px;
        color: #000;
        font-weight: 600;
        display: inline-block;
        width: 50px;
        height: 50px;
        margin: 0 10px;
        text-align: center;
        background: transparent;
        border: none;
        border-bottom: 2px solid #9AA09F;
      }
    .btn-reload {
        text-align: center;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        font-size: 17px;
        color: var(--primarylight);
        margin-top: 30px;
      }
    .btn-reload img {
        margin-right: 5px;
      }
}

.validate-error {
    color: red;
    margin: 5px 0;
}

#list_bank{
    border: 1px solid rgba(0,0,0,.125);
    border-top: 0;
    border-bottom: 0;
    padding: 15px;

    ul{
        list-style: none;
        padding: 0;
        margin: 0;
        display: flex;
        gap: 3px;
        flex-wrap: wrap;

        li{
            flex: 0 0 32.7%;
            padding: 5px;
            text-align: center;
            display: inline-flex;
            justify-content: center;
            align-items: center;
            border: 1px solid #dedede;
            min-height: 50px;

            &:hover, &.active{
                border-color: #000;
            }
        }
    }
}


#ModalVoucher{
    .list_voucher{
        gap: 0;

        li{
            flex: 0 0 100%;
        }

        .list_voucher__item-temp{
            width: 40%;
        }
        .list_voucher__item-body{
            width: 60%;
        }
    }
}

.page_search{
    &__head{
        padding: 10px 15px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        border-bottom: 1px solid #dedede;

        input{
            border-radius: 40px;
            padding-right: 50px;
            background: #F4F4F4;
            border-color: #F4F4F4;
        }
        
        .form_group_positionR{
            position: relative;
            margin-right: 10px;
            width: 100%;

            .btn_search{
                position: absolute;
                right: 0;
                top: 0;
                width: 50px;
                height: 42px;
                color: #878787;
            }
        }

        .btn-close{
            width: 30px;

            svg{
                width: 30px;
            }
        }
    }

    &__body{
        padding: 15px;

        .list_product_search{
            max-height: calc(100vh - 140px);
            overflow: hidden;
            overflow-y: auto;

            li{
                margin-bottom: 15px;
            }

            .media-body{
                margin-left: 15px;

                .name_prod{
                    font-size: 15px;
                    font-weight: 600;
                    margin-bottom: 5px;
                }
            }
        }
    }
}


  .page_error{
      padding: 75px 0;

      &__content{
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;

          h4{
              font-weight: bold;
              font-size: 20px;
              margin: 30px 0;
          }

          p{
              margin-bottom: 30px;
              font-size: 16px;
          }

          .btn{
            width: 200px;
            height: 49px;
            border-radius: 3px;
          }

          .nav_group_menu{
            display: flex;
            align-items: center;
            border-top: 1px solid #ddd;
            margin-top: 20px;
            padding-top: 20px;
            padding-left: 30px;
            padding-right: 30px;

            .nav_category{
                margin: 0;
                padding: 0;
                border: none;
            }
        }
      }
  }


  .lookHot{
      margin-top: 60px;
    &_head{
        width: 100%;
        height: auto;
        background: #F4F4F4;
        padding: 3rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;

        h3{
            font-weight: 600;
            font-size: 18px;
            text-transform: uppercase;
            margin-bottom: 30px;
        }

        p{
            margin-bottom: 38px;
            font-size: 14px;
        }

        .view-more{
            text-transform: uppercase;
            padding-bottom: 3px;
            display: inline-block;
            text-decoration: none;
            border-bottom: 1px solid #000;
        }
      }
  }


  .lookImages{
    display: flex;
    align-items: center;
    flex-direction: column;
  //   padding: 100px 0;

    &_item{
        width: 100%;
        position: relative;
        margin: 15px 0;

        .text-item-group{
            position: absolute;
            color: #fff;
            bottom: 60px;
            left: 30px;
            padding-right: 30px;

            h3{
                margin-bottom: 15px;
                font-size: 20px;
            }

            .view-more{
                color: #fff;
                border-color: #fff;
              //   padding: 5px 10px;

              //   &:hover{
              //       background: #000;
              //       border-color: #000;
              //       color: #fff;
              //   }
            }
        }

        .btn-play{
          color: #fff;
          position: absolute;
          bottom: 0;
          top: 0;
          right: 0;
          left: 0;
          margin: auto;
          width: 80px;
          height: 80px;

            svg{
                width: 80px;
            }
        }
    }
}


.outerwear{
    margin-bottom: 60px;

    .text-item-group{
        margin: 30px 0 15px 0;

        h3{
            font-size: 20px;
            font-weight: bold;
        }
        p{
            margin-bottom: 30px;
            font-weight: 600;
        }
    }
}